import { Map } from "maplibre-gl";
import { AddListenerResponse, MigrationLatLng, MigrationLatLngBounds } from "./googleCommon";
declare class MigrationMap {
    #private;
    _styleUrl: string;
    constructor(containerElement: any, options: any);
    addListener(eventName: any, handler: any, listenerType?: string): AddListenerResponse;
    getBounds(): MigrationLatLngBounds;
    getCenter(): MigrationLatLng;
    getDiv(): HTMLElement;
    getHeading(): number;
    getTilt(): number;
    getZoom(): number;
    moveCamera(cameraOptions: any): void;
    panBy(x: any, y: any): void;
    panTo(latLng: any): void;
    setCenter(center: any): void;
    setHeading(heading: any): void;
    setOptions(options: any): void;
    setTilt(tilt: any): void;
    setZoom(zoom: any): void;
    fitBounds(bounds: any, padding?: any): void;
    _getMap(): Map;
    _setMap(map: any): void;
}
export { MigrationMap };
