import { Popup } from "maplibre-gl";
import { MigrationLatLng } from "./googleCommon";
import { AddListenerResponse } from "./googleCommon";
declare class MigrationInfoWindow {
    #private;
    constructor(options?: any);
    addListener(eventName: any, handler: any, listenerType?: string): AddListenerResponse;
    close(): void;
    focus(): void;
    getContent(): HTMLElement;
    getPosition(): MigrationLatLng;
    open(options?: any, anchor?: any): void;
    setContent(content?: any): void;
    setOptions(options?: any): void;
    setPosition(position?: any): void;
    _getPopup(): Popup;
    _getMinWidth(): number;
    _getMaxWidth(): number;
    _getAriaLabel(): string;
    _setPopup(popup: any): void;
    _setMaxWidth(maxWidth: any): void;
    _containsOnlyHTMLElements(str: string): boolean;
}
export { MigrationInfoWindow };
