import { Marker } from "maplibre-gl";
import { AddListenerResponse, MigrationLatLng } from "./googleCommon";
declare class MigrationMarker {
    #private;
    constructor(options: any);
    addListener(eventName: any, handler: any, listenerType?: string): AddListenerResponse;
    getDraggable(): boolean;
    getIcon(): {};
    getOpacity(): string;
    getPosition(): MigrationLatLng;
    getVisible(): string;
    setDraggable(draggable: any): void;
    setPosition(position: any): void;
    setOpacity(opacity: any): void;
    setOptions(options: any): void;
    setMap(map: any): void;
    setVisible(visible: any): void;
    remove(): void;
    _getMarker(): Marker;
    _setMarker(marker: any): void;
    _createLabel(defaultMarker: boolean, text: string, className?: string, color?: string, fontFamily?: string, fontSize?: string, fontWeight?: string): HTMLSpanElement;
}
export { MigrationMarker };
